import React from 'react';
type CustomRangePickerProps = {
    value?: {
        start?: string;
        end?: string;
        mode?: string;
    } | null;
    onChange?: (val: any) => void;
    ranges?: any;
    eventStartTime?: string;
    resEventStartTime?: string;
};
declare const CustomRangePicker: React.FC<CustomRangePickerProps>;
export default CustomRangePicker;
